﻿#target InDesign

main();

function main () {
	// Achtung: In InDesign muss mindestens ein Dokument geöffnet sein
	var _dokument = app.documents[0];
	var _seitenSammlung =  _dokument.pages;
	
	for (var i =0;  i < _seitenSammlung.length; i = i + 1 ) {
		// Achtung stellen Sie das Lineal auf "Lineal pro Seite" (Rechte Maustaste auf das Lineal)
		var _tf = _dokument.pages[i].textFrames.add();
		_tf.geometricBounds = [10,10,100,100];
		_tf.insertionPoints[0].contents = (i + 1) + "";
	}

	// Gesamtlänge berücksichtigen:
	for (var i =0;  i < _seitenSammlung.length; i = i + 1 ) {
		// Achtung stellen Sie das Lineal auf "Lineal pro Seite" (Rechte Maustaste auf das Lineal)
		var _tf = _dokument.pages[i].textFrames.add();
		_tf.geometricBounds = [10,10,100,100];
		_tf.insertionPoints[0].contents = "Seite " + (i + 1) + " von " + _seitenSammlung.length ;
	}
	
	// Array mit vier Namen zusammenfügen 
	var _array = ["Name1", "Name2", "Name3", "Name4"];
	var _tf = _dokument.pages[0].textFrames.add();
	_tf.geometricBounds = [10,10,100,100];

	for (var i =0;  i < _array.length; i = i + 1 ) {
		_tf.insertionPoints[0].contents = _array[i] + "\r";
	}

	// Fünf Textrahmen platzieren 
	for (var i =0;  i < 5; i = i + 1 ) {
		var _tf = _dokument.pages[0].textFrames.add();
		_tf.geometricBounds = [i * 10, i * 10,100,100];
		_tf.insertionPoints[0].contents = i + "";
	}


}