﻿// Achtung: In InDesign muss mindestens ein Dokument geöffnet sein
var _dokument = app.activeDocument;

main();

function main () {
	var tf = _dokument.pages[0].textFrames.add();
	tf.geometricBounds = [10,10,100,100];
	var _array =  ["Markus","Christian", "Thomas"];
	// Länge ermitteln
	alert("Die Länge ist: " + _array.length);
	// Neues Element hinzufügen
	_array.push("Luise");
	// Array sortieren
	_array.sort();

	// Neues Element mit Deutschen Umlaut hinzufügen
	_array.push("Äname");
	// Sortierung mit deutschen Umlauten 
	// Die Funktion alfaUmlaut löst das Problem 
	// In Javascript kann eine eigene Sortierfunktion für die Sortierung eines Arrays definiert werden.	
	_array.sort(alfaUmlaut);
	
	
	tf.insertionPoints[0].contents = _array.join(",");
	
	
	// Ein Assoziativer Array
	var _array = new Array();
	_array["rebecca"] = "hallo";
}


function alfaUmlaut(a, b)	{
	a = a.toLowerCase();
	a = a.replace(/ä/g,"a");
	a = a.replace(/ö/g,"o");
	a = a.replace(/ü/g,"u");
	a = a.replace(/ß/g,"s");

	b = b.toLowerCase();
	b = b.replace(/ä/g,"a");
	b = b.replace(/ö/g,"o");
	b = b.replace(/ü/g,"u");
	b = b.replace(/ß/g,"s");

	return(a==b)?0:(a>b)?1:-1;
}
